Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154371 - EOG doesn't remember window size, or splitter/sash location, and has non-sensible defaults for the latter
Summary: EOG doesn't remember window size, or splitter/sash location, and has non-sens...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eog
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 07:48 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 01:46:08 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 07:48:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When you double-click a jpeg file in nautilus, eog is run to display the image. The window size is always chose automatically, and provides a reasonable default for viewing the image for a given screen-size. However, the vertical splitter/sash is always positioned very close to the right-hand edge of the window, so one always has to move the splitter/sash to make any sensible use of the file information/EXIF viewer pane/panel.

Also, all the sections in the EXIF viewer ("Camera", "Image Data", ...) are "closed" upon application startup, so the arrow must be click to expand those sections to see pretty much any useful information.

The splitter/sash should be positioned automatically at startup so that the file information window is wide enough to be useful. EXIF sections should be pre-expanded, so that manual expansion isn't required to browse the information there.

Version-Release number of selected component (if applicable):
eog-2.8.0-3

How reproducible:
Always

Steps to Reproduce:
1. Double click an image (.e.g .jpg) file in nautilus.
2. Note that eog is launced to view the image
  

Actual Results:  Splitter/sash is positioned such that file info/EXIF is practicaly hidden

Expected Results:  File info/EXIF pane/panel should be large enough to be automatically sized to be  useful.

Additional info:

Comment 1 Matthew Miller 2006-07-10 22:15:03 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Stephen Warren 2007-11-12 01:46:08 UTC
Closing this out; it's not relevant in F8 since eog seems to have been
re-designed not to use a splitter/sash any more.



Note You need to log in before you can comment on or make changes to this bug.